#version 330
#ifdef GL_ARB_shading_language_420pack
#extension GL_ARB_shading_language_420pack : require
#endif

uniform mat4 M;
uniform mat4 P;
uniform mat4 V;

in vec3 pos;
out vec3 position;
out vec2 texCoord;
in vec2 tex;
out vec3 normal;
in vec3 nor;

void main()
{
    vec4 newPos = (M * vec4(pos, 1.0));
    gl_Position = ((P * V) * newPos);
    position = (newPos.xyz / vec3(newPos.w));
    texCoord = tex;
    normal = ((V * M) * vec4(nor, 0.0)).xyz;
}

